import React from 'react'
import { connect } from 'react-redux'
import { sayHello, evenIncrement } from '../actions'
import { addItemToCart, removeCartItem } from '../actions/cart_actions'


let Button = ({ whatsUp, stateObject, saySomething, evenNumsOnly, count=0, addItemToCart, removeCartItem, data}) => (




  <div >
    <button onClick={saySomething}>PRESS TO DISPATCH FIRST ACTION</button>
    <h2>{whatsUp}</h2>
    <button onClick={() => console.log('Redux State:',stateObject)} >Press to inspect STATE in console panel</button>
    <button onClick={evenNumsOnly}>click me</button>
    <p>Even Count: {count}</p>


  </div>



)

const mapStateToProps = (state) => ({
  stateObject: state,
  whatsUp: state.say,
  count: state.count,
})

const mapDispatchToProps = (dispatch) => ({
  saySomething: () => { dispatch(sayHello())},
  evenNumsOnly: () => { dispatch(evenIncrement())},
})

Button = connect(
  mapStateToProps,
  mapDispatchToProps
)(Button)

export default Button;
